{: test that string parameter causes a compilation error
   if the actual parameter is not a string}

program e1078( output );

type
   str = packed array[1..10] of char;

procedure p(s: str);
begin
end; { p }

begin { e1078 }
   p('1234');
   p(1234); {!!! not a string}
end. { e1078 }

